;******      *********************
;******  B ********************************************
.equ ADC_e	= 0		 		;    
.equ t1		= 1		 		;     / 1
.equ ain1	= 2		 		;   
.equ ain2	= 3		 		;   
.equ DAC_e	= 4		 		;    
.equ mosi	= 5		 		;  (Master)   (Slave)  SPI
.equ miso	= 6		 		;  (Master)   (Slave)  SPI
.equ sck	= 7		 		;  (Master)   (Slave) 
							;  SPI
;******   ********************************************
.equ row1	= 0		 		;   
.equ row2	= 1		 		;
.equ row3	= 2		 		;
.equ row4	= 3		 		;
.equ LCD_RW	= 4		 		;  RS LCD (   )
.equ LCD_RS	= 5		 		;       LCD
.equ adr0	= 6		 		;   
.equ adr1	= 7		 		;
;******  D ********************************************
.equ rxd	= 0		 		;  UART
.equ txd	= 1		 		;  UART
.equ int_0	= 2				;    INT0
.equ LCD_e	= 3				;    
.equ col1	= 4		 		;   
.equ col2	= 5		 		;
.equ wr		= 6		 		;     
.equ rd		= 7		 		;     

.equ busy	= 7				; 
;******     ******************************
.def Dat_DAC= r1			;    
.def Dat_ADC= r2			;    
.def inl	= r3			;    
.def inh	= r4			; 
.def outl	= r5			;   
.def outh	= r6			; 
.def Dat_UART= r7			;    UART

.def temp	= r16			;  
.def temp1	= r17			; 
.def temp2	= r18			; 

.def key	= r19			;   
.def Dat_LCD= r20			; /   LCD

.def Dat_T1l= r24			;    T1
.def Dat_T1h= r25			; 

Config_Port:
;******   ********************************************
;******     ***************************************
	ser		temp			;  A  C -  
	out		ddra, temp		; 
	out		ddrc, temp		; 
;******  B ********************************************
	ldi		temp, (1<<ADC_e)+(1<<DAC_e)+(1<<MOSI)+(1<<SCK); 
	out		ddrb, temp		; ADC_e,DAC_e,MOSI,SCK -  
							; t1,ain1,ain2,MISO - 
	ldi		temp, (1<<ADC_e)+(1<<DAC_e)
	out		portb, temp		; ADC_e  DAC_e   "1"
;******  D ********************************************
	ldi		temp, (1<<TXD)+(1<<LCD_e)+(1<<WR)+(1<<RD); 
	out		ddrd, temp		; TXD,LCD_e,WR,RD -  
							; RXD,INT_0,COL1,COL2 - 
	ldi		temp, (1<<INT_0)+(1<<COL2)+(1<<COL1)+(1<<WR)+(1<<RD); 
	out		portd, temp		; INT_0,COL2,COL1 -  
							; 
							; WR, RD -   "1"

	sbi		ACSR,ACD 		;     
							;  
	ret
